> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a document pdf export



## OpenAPI

````yaml post /documents/{identifier}/exports/pdf
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /documents/{identifier}/exports/pdf:
    post:
      summary: Create a document pdf export
      operationId: create-a-document-pdf-export
      parameters:
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
        - name: identifier
          in: path
          description: >-
            A document's unique identifier. Specifies that you want to use a
            saved Joyfill document to generate the PDF export.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                fields:
                  type: array
                  description: >-
                    Specifies a list of JoyDoc Fields that you would like to
                    merge/overwrite inside the targeted document identifier.
                timezone:
                  type: string
                  default: UTC
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "download_url": "String",
                      "preview_url": "String"
                    }
              schema:
                type: object
                properties:
                  download_url:
                    type: string
                    example: String
                  preview_url:
                    type: string
                    example: String
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````